<?
 /*SCRIPT PARA MANTENIMIENTO DE GRADOS ESCOLARES / PLANES DE PAGOS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add_plan":
                      $id_grado=dec($idgrado);
                      $valores[plan]=$txtnombrepp;
                      $valores[grado]=$id_grado;
                      $sql=insertar("cp_planesdepagos",$valores);
                      
                      header("Location: frm_grado_planespagos_v2.php?idgrado=$idgrado");
   break;
   
  //aqui hay que modificar
  
   case "add_cargo_pp":
          $id_grado=dec($idgrado);
          $id_pp=dec($id_plan);
          $desc_cargo=get_tipo_cargo($txtdesccargo);
          //if(!empty($txtdescadicional)){$desc_cargo.=" $txtdescadicional";}
          
          $valores=Array();
          $valores[plan_pago]=$id_pp;
          $valores[descripcion]=$desc_cargo;
          $valores[descripcion_Ad]=$txtdescadicional;
          $valores[valor]=$txtvcargo;
          $valores[codigo]=$txtdesccargo;
          $valores[dia]=$txtdpago;
          $valores[m1]=$m1;
          $valores[m2]=$m2;
          $valores[m3]=$m3;
          $valores[m4]=$m4;
          $valores[m5]=$m5;
          $valores[m6]=$m6;
          $valores[m7]=$m7;
          $valores[m8]=$m8;
          $valores[m9]=$m9;
          $valores[m10]=$m10;
          $valores[m11]=$m11;
          $valores[m12]=$m12;
          $valores[masculino]=$txth;
          $valores[femenino]=$txtm;
          
          $res=insertar("cp_det_planesdepagos",$valores);
          if(!$res){echo "ERROR: ".mysql_error();}
          header("Location: ./frm_grado_planespagos_v2.php?idgrado=$idgrado#$id_plan");
   break;
   
   case "upd_cargo_pp":
          $id_grado=dec($idgrado);
          $id_pp=dec($id_plan);
          $id_cg=dec($idcg);
          $desc_cargo=get_tipo_cargo($txtdesccargo);
          //if(!empty($txtdescadicional)){$desc_cargo.=" $txtdescadicional";}
          
          $valores=Array();
          $valores[plan_pago]=$id_pp;
          $valores[descripcion]=$desc_cargo;
          $valores[descripcion_ad]=$txtdescadicional;
          $valores[valor]=$txtvcargo;
          $valores[codigo]=$txtdesccargo;
          $valores[dia]=$txtdpago;
          $valores[m1]=$m1;
          $valores[m2]=$m2;
          $valores[m3]=$m3;
          $valores[m4]=$m4;
          $valores[m5]=$m5;
          $valores[m6]=$m6;
          $valores[m7]=$m7;
          $valores[m8]=$m8;
          $valores[m9]=$m9;
          $valores[m10]=$m10;
          $valores[m11]=$m11;
          $valores[m12]=$m12;
          $valores[masculino]=$txth;
          $valores[femenino]=$txtm;
          
          $res=actualizar("cp_det_planesdepagos",$valores,"id = '$id_cg'",0);
          //if(!$res){echo "ERROR: ".mysql_error();}
          header("Location: ./frm_grado_planespagos_v2.php?idgrado=$idgrado#$idcg");
   break;
   
   case "del_cargo_pp":
          $id_ca=dec($idcg);
          $del=eliminar("cp_det_planesdepagos","id = '$id_ca'",0);
          header("Location: ./frm_grado_planespagos_v2.php?idgrado=$idgrado#$idcg");
   break;
   
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>
